openapi: 3.0.0
info:
  title: API of dummy Network-App to test
  version: v1
  description: API of dummy Network-App to test
  x-supportedFeatures: fffffff
paths:
  /{scsAsId}/subscriptions:
    get:
      summary: Retrieve monitoring subscriptions
      description: Endpoint to manage monitoring subscriptions
      operationId: getMonitoringSubscriptions
      responses:
        '200':
          description: Successful operation
    post:
      summary: Create monitoring subscription
      description: Endpoint to manage monitoring subscriptions
      operationId: createMonitoringSubscription
      responses:
        '201':
          description: Subscription created successfully
  /{scsAsId}/subscriptions/{subscriptionId}:
    get:
      summary: Retrieve single subscription
      description: Endpoint to manage single subscription
      operationId: getSingleSubscription
      responses:
        '200':
          description: Successful operation
    put:
      summary: Update subscription
      description: Endpoint to manage single subscription
      operationId: updateSubscription
      responses:
        '200':
          description: Subscription updated successfully
    delete:
      summary: Delete subscription
      description: Endpoint to manage single subscription
      operationId: deleteSubscription
      responses:
        '204':
          description: Subscription deleted successfully
  /profile:
    get:
      summary: Retrieve TSN profiles
      description: Endpoint for retrieving the list of available TSN profiles
      operationId: getTsnProfiles
      responses:
        '200':
          description: Successful operation
  /profile?name={profileName}:
    get:
      summary: Retrieve a TSN profile
      description: Endpoint for retrieving information about a single TSN profile
      operationId: getTsnProfile
      responses:
        '200':
          description: Successful operation
  /apply:
    post:
      summary: Apply TSN configuration
      description: Endpoint for configuring TSN connection parameters
      operationId: applyTsnConfiguration
      responses:
        '201':
          description: Configuration applied successfully
  /clear:
    post:
      summary: Clear TSN configuration
      description: Endpoint for removing a previous TSN connection configuration
      operationId: clearTsnConfiguration
      responses:
        '204':
          description: Configuration cleared successfully
components:
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://example.com/oauth/token
security:
  - oauth: []
servers:
  - url: http://127.0.0.1:8888
    description: Main server for AEF services
  - url: http://127.0.0.1:8899
    description: Alternate server for AEF services
